Bug 1325995 - API ping don't return information for foreman_auth service
Summary: API ping don't return information for foreman_auth service
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Andrew Kofink
QA Contact: Martin Korbel
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
: 1410870 (view as bug list)
Depends On:
Blocks: 1415073
TreeView+ depends on / blocked
 
Reported: 2016-04-11 14:22 UTC by Elyézer Rezende
Modified: 2019-04-01 20:27 UTC (History)
8 users (show)

(edit)
Clone Of:
: 1415073 (view as bug list)
(edit)
Last Closed: 2018-02-21 16:43:29 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15582 None None None 2016-07-05 20:04 UTC
Red Hat Knowledge Base (Solution) 2893101 None None None 2017-01-30 13:00 UTC

Description Elyézer Rezende 2016-04-11 14:22:46 UTC
Description of problem:
When request a ping using API the foreman_auth service information is not returned.


Version-Release number of selected component (if applicable):
satellite-6.2.0-7.0.beta.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Do a GET request on https://satserver.com/katello/api/v2/ping
2. Check the returned JSON response

Actual results:
There is no information for foreman_auth

Expected results:
There is information for foreman_auth

Additional info:
2016-04-11 11:20:06 - nailgun.client - DEBUG - Making HTTP GET request to https://sat62.example.com:443/katello/api/v2/ping with options {'headers': {'content-type': 'application/json'}, 'verify': False, 'auth': ('admin', 'changeme'), 'data': '{}'} and no data.
2016-04-11 11:20:08 - nailgun.client - DEBUG - Received HTTP 200 response:   {"status":"ok","services":{"foreman_tasks":{"status":"ok","duration_ms":"33"},"foreman_auth":{},"candlepin":{"status":"ok","duration_ms":"33"},"candlepin_auth":{"status":"ok","duration_ms":"34"},"pulp":{"status":"ok","duration_ms":"33"},"pulp_auth":{"status":"ok","duration_ms":"71"}}}

Comment 2 Andrew Kofink 2016-07-05 19:28:40 UTC
Created redmine issue http://projects.theforeman.org/issues/15582 from this bug

Comment 3 Bryan Kearney 2016-07-06 14:13:50 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15582 has been closed

Comment 7 Martin Korbel 2016-10-20 08:53:22 UTC
ERIFIED on satellite-6.3.0-1.0.git.7.fb12bf2.el7sat

> curl https://$(hostname)/katello/api/v2/ping
 
{"status":"ok","services":{"pulp":{"status":"ok","duration_ms":"62"},"pulp_auth":{},"candlepin":{"status":"ok","duration_ms":"43"},"candlepin_auth":{"status":"ok","duration_ms":"37"},"foreman_tasks":{"status":"ok","duration_ms":"911"}}}

Comment 8 Brad Buckingham 2017-01-11 12:26:40 UTC
*** Bug 1410870 has been marked as a duplicate of this bug. ***

Comment 9 Bryan Kearney 2018-02-21 16:40:50 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 Bryan Kearney 2018-02-21 16:43:29 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.